Package org.mozilla.javascript

## Enum NativeConsole.Level

- java.lang.Object
- - java.lang.Enum<NativeConsole.Level>
  - - org.mozilla.javascript.NativeConsole.Level

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<NativeConsole.Level>`
  Enclosing class:
    NativeConsole

      public static enum NativeConsole.Level
      extends java.lang.Enum<NativeConsole.Level>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `DEBUG` |
    `ERROR` |
    `INFO` |
    `TRACE` |
    `WARN` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static NativeConsole.Level` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static NativeConsole.Level[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TRACE

          public static final NativeConsole.Level TRACE

    - #### DEBUG

          public static final NativeConsole.Level DEBUG

    - #### INFO

          public static final NativeConsole.Level INFO

    - #### WARN

          public static final NativeConsole.Level WARN

    - #### ERROR

          public static final NativeConsole.Level ERROR

  - ### Method Detail

    - #### values

          public static NativeConsole.Level[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (NativeConsole.Level c : NativeConsole.Level.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static NativeConsole.Level valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null